*Delete unnecessary parts of this template.*

### For security issues:

See https://www.oracle.com/support/assurance/vulnerability-remediation/reporting-security-vulnerabilities.html for how to report security issues.

### For general questions:

Describe exactly what you did and what you want to happen.
Use the questions at the bottom of this template as a guide.

Use Markdown syntax, particularly for code blocks: see https://help.github.com/articles/basic-writing-and-formatting-syntax/#quoting-code

### For installation issues:

Use a gist for screen output and logs: see https://gist.github.com/
**Do not paste long output into this issue**

Review your output and logs.  **Google any errors**
Try to install in a different way.  Try some potential solutions.

Review the install instructions at
http://cx-oracle.readthedocs.io/en/latest/installation.html

#### Answer the following questions:

1. What is your version of Python? Is it 32-bit or 64-bit?

2. What is your cx_Oracle version?

3. What *exact* command caused the problem (e.g. what command did you try to install with)?  Who were you logged in as?

4. What error(s) you are seeing?

5. What OS (and version) is Python executing on?

6. What is your version of the Oracle client (e.g. Instant Client)?  How was it installed?  Where is it installed?

7. What is your Oracle Database version?

8. What is the `PATH` environment variable (on Windows) or `LD_LIBRARY_PATH` (on Linux) set to?  On macOS, what is in `~/lib`?

9. What Oracle environment variables did you set?  How *exactly* did you set them?

10. Do you have a small, single Python script that immediately runs to show us the problem?
